# CheckWallet()

&#x20;**Method Signature**

```go
func CheckWallet(blockchain string, address string) map[string]interface{}
```

**Parameters**

| Name         | Type   | Description        |
| ------------ | ------ | ------------------ |
| `blockchain` | String | Blockchain address |
| `address`    | String | Wallet address     |

**Example**

```go
package main

import (
	"fmt"

	"github.com/circular-protocol/circular-go/circular_protocol_api"
)

func main() {
	var blockchain = "0x8a20baa40c45dc5055aeb26197c203e576ef389d9acb171bd62da11dc5ad72b2"
	var test_addr = "0x8b1dd25076c04c5139acba458f86c69cd2d322c61d19bc28daa3bbd945083738"

	result := circular_protocol_api.CheckWallet(blockchain, test_addr)
	fmt.Println(result)
}
```

**Result**

The result will be of type `Map`, but for easier readability, here is the equivalent in JSON.

{% tabs %}
{% tab title="200" %}
When the wallet exists:

```json
{
    "Result": 200,
    "Response": "Success",
    "Node": "7bb5bd50729d6857942701d5673ea70ca1625f883230d8543970a452d1abe1c4"
}
```

{% endtab %}

{% tab title="108" %}
When the wallet doesn't exist:

```json
{
    "Result": 108,
    "Response": "Wallet Not found",
    "Node": "7bb5bd50729d6857942701d5673ea70ca1625f883230d8543970a452d1abe1c4"
}
```

{% endtab %}

{% tab title="118" %}
When the blockchain address is not correct.

```json
{
    "Result": 118,
    "Response": "Wrong Format",
    "Node": "fc8fe5ee103dafe353c98ce90a1cb2956fd51a109512e074bd3d26a06d268e81"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/go/checkwallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
